org.apache.commons.ssl

## Class KeyStoreBuilder.BuildResult

- java.lang.Object
- - org.apache.commons.ssl.KeyStoreBuilder.BuildResult

Enclosing class:
  KeyStoreBuilder

    public static class KeyStoreBuilder.BuildResult
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.List` `chains`
`protected java.security.KeyStore` `jks`
`protected java.util.List` `keys`

### Constructor Summary

Constructors
`protected` `KeyStoreBuilder.BuildResult(java.util.List keys, java.util.List chains, java.security.KeyStore jks)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### keys

    protected final java.util.List keys

#### chains

    protected final java.util.List chains

#### jks

    protected final java.security.KeyStore jks

### Constructor Detail

#### KeyStoreBuilder.BuildResult

    protected KeyStoreBuilder.BuildResult(java.util.List keys,
                               java.util.List chains,
                               java.security.KeyStore jks)